## intel-lpmd 0.0.2

=== tools/Makefile ===
CFLAGS_DBUS_GLIB = $(shell pkg-config --cflags --libs dbus-glib-1)

bindir ?= /usr/bin

CFLAGS = -g -Wall -Werror

all: intel_lpmd_control

intel_lpmd_control: intel_lpmd_control.c
	gcc $< -o $@ $(CFLAGS) $(CFLAGS_DBUS_GLIB)

clean:
	rm -f intel_lpmd_control

install: $(ALL_PROGRAMS)
	install -d -m 755 $(DESTDIR)$(bindir);          \
	install intel_lpmd_control $(DESTDIR)$(bindir);

.PHONY: all clean

=== debian/changelog ===
intel-lpmd (0.0.2-0ubuntu1) noble; urgency=low

  * Initial release (LP: #2041836).

 -- You-Sheng Yang <vicamo.yang@canonical.com>  Thu, 19 Oct 2023 11:03:51 +0800

=== debian/control ===
Source: intel-lpmd
Section: admin
Priority: optional
Maintainer: You-Sheng Yang <vicamo.yang@canonical.com>
Build-Depends:
 automake,
 autoconf-archive,
 debhelper-compat (= 13),
 gtk-doc-tools,
 libdbus-glib-1-dev,
 libglib2.0-dev,
 libnl-3-dev,
 libnl-genl-3-dev,
 libsystemd-dev,
 libxml2-dev,
 systemd-dev,
Standards-Version: 4.5.1
Homepage: https://github.com/intel/intel-lpmd
Rules-Requires-Root: no
Vcs-Git: https://github.com/intel/intel-lpmd.git
Vcs-Browser: https://github.com/intel/intel-lpmd/tree/main/

Package: intel-lpmd
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Intel Low Power Model Daemon
 Intel Low Power Model Daemon is a Linux daemon used to optimize active idle
 power. It selects a set of most power efficient CPUs based on configuration
 file or CPU topology. Based on system utilization and other hints, it puts the
 system into Low Power Mode by activate the power efficient CPUs and disable the
 rest, and restore the system from Low Power Mode by activating all CPUs.
 .
 This package contains the Intel Low Power Model Daemon.

## intel-lpmd 0.0.3

=== tools/Makefile ===
--- 
+++ 
@@ -2,12 +2,12 @@
 
 bindir ?= /usr/bin
 
-CFLAGS = -g -Wall -Werror
+CFLAGS ?= -g -Wall -Werror
 
 all: intel_lpmd_control
 
 intel_lpmd_control: intel_lpmd_control.c
-	gcc $< -o $@ $(CFLAGS) $(CFLAGS_DBUS_GLIB)
+	gcc $< -o $@ $(CFLAGS) $(CFLAGS_DBUS_GLIB) $(LDFLAGS)
 
 clean:
 	rm -f intel_lpmd_control

=== debian/changelog ===
intel-lpmd (0.0.3-0ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:56:55 +1100

intel-lpmd (0.0.3-0ubuntu1) noble; urgency=low

  [ You-Sheng Yang ]
  * New upstream v0.0.3 release (LP: #2054832).
  * debian: gbp: specify upstream tag format
  * debian: limit package architecture to amd64 only

 -- You-Sheng Yang <vicamo.yang@canonical.com>  Sat, 24 Feb 2024 00:29:11 +0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: intel-lpmd
 Section: admin
 Priority: optional
-Maintainer: You-Sheng Yang <vicamo.yang@canonical.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: You-Sheng Yang <vicamo.yang@canonical.com>
 Build-Depends:
  automake,
  autoconf-archive,
@@ -21,7 +22,7 @@
 Vcs-Browser: https://github.com/intel/intel-lpmd/tree/main/
 
 Package: intel-lpmd
-Architecture: any
+Architecture: amd64
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Intel Low Power Model Daemon

## intel-lpmd 0.0.7

=== debian/changelog ===
intel-lpmd (0.0.7-0ubuntu1) oracular; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 25 Sep 2024 12:15:51 +0300

## intel-lpmd 0.0.9

=== debian/changelog ===
intel-lpmd (0.0.9-1) unstable; urgency=medium

  * Ininitial release, (Closes: #1101448)

 -- Colin Ian King <colin.i.king@gmail.com>  Mon, 31 Mar 2025 14:10:22 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: intel-lpmd
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: You-Sheng Yang <vicamo.yang@canonical.com>
+Maintainer: Colin Ian King <colin.i.king@gmail.com>
 Build-Depends:
  automake,
  autoconf-archive,
@@ -13,9 +12,10 @@
  libnl-3-dev,
  libnl-genl-3-dev,
  libsystemd-dev,
+ libupower-glib-dev,
  libxml2-dev,
- systemd-dev,
-Standards-Version: 4.5.1
+ systemd-dev
+Standards-Version: 4.7.2
 Homepage: https://github.com/intel/intel-lpmd
 Rules-Requires-Root: no
 Vcs-Git: https://github.com/intel/intel-lpmd.git

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

#export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --with autoreconf

override_dh_autoreconf:
	dh_autoreconf -- env NO_CONFIGURE=1 ./autogen.sh

override_dh_auto_configure:
	# gtk-doc is not yet fully enabled. Disable explicitly.
	dh_auto_configure -- \
		--with-dbus-sys-dir=/usr/share/dbus-1/system.d \
		--disable-gtk-doc

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
             https://github.com/intel/intel-lpmd/tags \
             (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## intel-lpmd 0.1.0

=== debian/changelog ===
intel-lpmd (0.1.0-1) unstable; urgency=medium

  * Adopt package. (Closes: #1111170)
  * Bump version to 0.1.0.
  * Removed patches which are merged into 0.1.0.
    - d/p/intel_lpmd.service.in-use-private-tmp-file-for-more-.patch
    - d/p/Manual-Fix-grammar-mistake-found-with-debian-lintian.patch
  * Removed deprecated libdbus-glib-1-dev in debian/control. (Closes: #1112232)

 -- Bin Li <libin3479@gmail.com>  Fri, 19 Dec 2025 14:52:54 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: intel-lpmd
 Section: admin
 Priority: optional
-Maintainer: Colin Ian King <colin.i.king@gmail.com>
+Maintainer: Bin Li <libin3479@gmail.com>
 Build-Depends:
  automake,
  autoconf-archive,
  debhelper-compat (= 13),
  gtk-doc-tools,
- libdbus-glib-1-dev,
  libglib2.0-dev,
  libnl-3-dev,
  libnl-genl-3-dev,
@@ -18,8 +17,6 @@
 Standards-Version: 4.7.2
 Homepage: https://github.com/intel/intel-lpmd
 Rules-Requires-Root: no
-Vcs-Git: https://github.com/intel/intel-lpmd.git
-Vcs-Browser: https://github.com/intel/intel-lpmd/tree/main/
 
 Package: intel-lpmd
 Architecture: amd64
